#include<iostream>
#include<conio.h>
using namespace std;
//tabee
//tedade aedade vorodi ra daryaft mikonad
int GetTedadeVorodi()
{
	int x;
	cout << "Tedade adad ra vared namaeed : ";
	cin >> x;
	return x;
}

////tabee
//pardazesh parametr v
//meghdar dehi parametrhaye 2 ta 5
void NumberProcess(double v, int *TedadMosbat, double *JameMosbat, int *TedadManfi, double *JameManfi)
{
	if (v > 0)
	{
		*JameMosbat += v;
		(*TedadMosbat) ++;
	}
	else
	{
		*JameManfi += v;
		(*TedadManfi) ++;
	}
}

int main()
{
	double x, JameVorodiMosbat = 0, JameVorodiManfi = 0;
	int TedadVorodi, TedadVorodiMosbat = 0, TedadVorodiManfi = 0, i;
	TedadVorodi = GetTedadeVorodi();
	cout << endl << " aedad ra vared namaeed : ";
	for(i = 0; i < TedadVorodi; i++)
	{
		cin >> x;
		NumberProcess(x, &TedadVorodiMosbat, &JameVorodiMosbat, &TedadVorodiManfi, &JameVorodiManfi);
	}
	if (TedadVorodiMosbat > 0)
		cout << "Miyangine Mosbat ha = " << JameVorodiMosbat / TedadVorodiMosbat << endl;
	else
		cout << "Aedade Mosbat Vojod Nadarad!" << endl;
	if (TedadVorodiManfi > 0)
		cout << "Miyangine Manfi ha = " << JameVorodiManfi / TedadVorodiManfi << endl;
	else
		cout << "Aedade Manfi Vojod Nadarad!" << endl;
	getch();
}

